summaryrefslogtreecommitdiffstats
path: root/games/asciijump
diff options
context:
space:
mode:
author Dan-Simon Myrland <dansimon@radiotube.org>2017-03-24 16:25:26 +0000
committer David Spencer <idlemoor@slackbuilds.org>2017-03-25 00:07:32 +0000
commitb07409795c2d101f48f34a81a465b319f5ad8623 (patch)
treef0115cd20f194cd09fe574169542b0b51c4589cd /games/asciijump
parent833fe34d61614c17492effa2f33d6abdcbda6031 (diff)
downloadslackbuilds-b07409795c2d101f48f34a81a465b319f5ad8623.tar.gz
slackbuilds-b07409795c2d101f48f34a81a465b319f5ad8623.tar.xz
games/asciijump: Added (ncurses ski jumping game).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/asciijump')
-rw-r--r--games/asciijump/README4
-rw-r--r--games/asciijump/asciijump.SlackBuild81
-rw-r--r--games/asciijump/asciijump.info10
-rw-r--r--games/asciijump/doinst.sh3
-rw-r--r--games/asciijump/slack-desc19
5 files changed, 117 insertions, 0 deletions
diff --git a/games/asciijump/README b/games/asciijump/README
new file mode 100644
index 0000000000..dec9eb5f29
--- /dev/null
+++ b/games/asciijump/README
@@ -0,0 +1,4 @@
+asciijump is a small and funny ASCII-art game about ski jumping.
+You can play with friends or against the computer. There are two
+modes of playing: World Cup and Training. You will be able to
+select from a few hills, for example czumulungma and finland.
diff --git a/games/asciijump/asciijump.SlackBuild b/games/asciijump/asciijump.SlackBuild
new file mode 100644
index 0000000000..746ca7cce0
--- /dev/null
+++ b/games/asciijump/asciijump.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+# Slackware build script for asciijump
+# Written by Dan-Simon Myrland <dansimon@radiotube.org>
+
+PRGNAM=asciijump
+VERSION=${VERSION:-1.0.2~beta}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# remove duplicated pixmap
+rm -rf $PKG/usr/X11R6
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/asciijump/asciijump.info b/games/asciijump/asciijump.info
new file mode 100644
index 0000000000..1909048b58
--- /dev/null
+++ b/games/asciijump/asciijump.info
@@ -0,0 +1,10 @@
+PRGNAM="asciijump"
+VERSION="1.0.2~beta"
+HOMEPAGE="https://packages.debian.org/sid/games/asciijump"
+DOWNLOAD="http://ftp.debian.org/debian/pool/main/a/asciijump/asciijump_1.0.2~beta.orig.tar.gz"
+MD5SUM="ea803b04f0a167cb477233d5940a116c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dan-Simon Myrland"
+EMAIL="dansimon@radiotube.org"
diff --git a/games/asciijump/doinst.sh b/games/asciijump/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/asciijump/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/asciijump/slack-desc b/games/asciijump/slack-desc
new file mode 100644
index 0000000000..93229fcdce
--- /dev/null
+++ b/games/asciijump/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+asciijump: asciijump (ncurses ski jumping game)
+asciijump:
+asciijump: asciijump is a small and funny ASCII-art game about ski jumping.
+asciijump: You can play with friends or against the computer. There are two
+asciijump: modes of playing: World Cup and Training. You will be able to
+asciijump: select from a few hills, for example czumulungma and finland.
+asciijump:
+asciijump:
+asciijump:
+asciijump:
+asciijump: